/*********************************************************************

Name:		Raytracer
Author:		Kamil Szatkowski "Netrix" (C)
Website:	http://www.netrix.org.pl/
License:	GNU GPL

*********************************************************************/
#include "Arguments.hpp"

Arguments::Arguments(int argc, const char* argv[])
{
	if(argc > 1)	{	m_vArguments.Create(argc - 1); }

	m_pLaunchPath = argv[0];
	m_uActualProcessed = 0;

	for(int i = 1; i < argc; ++i)
	{
		m_vArguments.PushElement(argv[i]);
	}
}

Arguments::~Arguments()
{
	if(m_vArguments) { m_vArguments.Release(); }
}